MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028099Open CASCADE[OCCT] OCCT:Visualizationpublic2016-11-14 12:552017-09-19 12:57
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028099: Visualization, OpenGl_Text - handle DIMENSION and SUBTITLE styles within Core Profile
DescriptionCurrent implementation of OpenGl_Text ignores text styles Aspect_TODT_SUBTITLE and Aspect_TODT_DIMENSION within OpenGL Core Profile and OpenGL ES producing unexpected results. This should be fixed.
Steps To ReproduceOriginal test cases, text styles:
pload VISUALIZATION
vcaps -core
test 3rdparty fonts A7 1


Dimension style (for cutting dimension line under text by stencil test):
pload VISUALIZATION
vcaps -core
test bugs vis bug24133_1 1
TagsNo tags attached.
Test case numberbugs vis bug28099_text_core
Attached Filespng file icon text_core_KO.png (39,215 bytes) 2016-11-14 13:16
png file icon text_gles_OK.png (41,095 bytes) 2016-11-14 13:16

- Relationships
related to 0028098newkgv Visualization - errors in tests when using OpenGL ES (ANGLE) 
parent of 0029125closedbugmaster Visualization, OpenGl_Text - fix access violation within OpenGL1.1 context 
child of 0024838newkgv Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 

-  Notes
(0060294)
git (administrator)
2016-11-14 13:16

Branch CR28099 has been created by kgv.

SHA-1: 04cba9dcd4a84ad3ab1959725955ded8b6b2ceb2


Detailed log of new commits:

Author: kgv
Date: Mon Nov 14 13:14:04 2016 +0300

    0028099: Visualization, OpenGl_Text - handle DIMENSION and SUBTITLE styles within Core Profile
    
    OpenGl_Text now creates VBO for drawing background rectangle.
(0060295)
kgv (developer)
2016-11-14 13:17

Patch is ready for review.
(0060298)
git (administrator)
2016-11-14 13:50

Branch CR28099 has been updated forcibly by kgv.

SHA-1: 3ffb9f63ca2f6552444f7ed5b02b5fa88d508794
(0060387)
san (developer)
2016-11-15 19:31

Branch CR28099 reviewed without remarks, ready for testing.
(0060453)
mkv (tester)
2016-11-16 18:19

Dear BugMaster,
Branch CR28099 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 3ffb9f63ca2f6552444f7ed5b02b5fa88d508794

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1121

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28099-master-OCCT/Debian70-64/bugs/vis/bug28099_text_core.html [^]
http://occt-tests/CR28099-master-OCCT/Windows-64-VC10/bugs/vis/bug28099_text_core.html [^]
bugs vis bug28099_text_core: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91028943 / 91871153 [-0.92%]
Total CPU difference: 21738.00000000024 / 21600.84000000031 [+0.63%]
products component :
Total MEMORY difference: 29976317 / 29934528 [+0.14%]
Total CPU difference: 5310.009999999964 / 5309.129999999963 [+0.02%]

Testing on Windows:
occt component :
Total MEMORY difference: 56589009 / 56597852 [-0.02%]
Total CPU difference: 20232.456094398414 / 19669.510885798518 [+2.86%]
products component :
Total MEMORY difference: 20822564 / 20790286 [+0.16%]
Total CPU difference: 5271.944594299979 / 5153.477434899959 [+2.30%]

There are no differences in images found by testdiff.
(0060454)
mkv (tester)
2016-11-16 18:20

Dear BugMaster,
Branch CR28099 is TESTED.
(0061292)
git (administrator)
2016-12-07 11:31

Branch CR28099 has been deleted by kgv.

SHA-1: 3ffb9f63ca2f6552444f7ed5b02b5fa88d508794

- Related Changesets
occt: master 6fe58c66
Timestamp: 2016-11-14 10:14:04
Author: kgv
Committer: apn
Details ] Diff ]
0028099: Visualization, OpenGl_Text - handle DIMENSION and SUBTITLE styles within Core Profile

OpenGl_Text now creates VBO for drawing background rectangle.
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.hxx Diff ] File ]
add - tests/bugs/vis/bug28099_text_core Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-14 12:55 kgv New Issue
2016-11-14 12:55 kgv Assigned To => kgv
2016-11-14 12:55 kgv Relationship added child of 0024838
2016-11-14 13:16 kgv File Added: text_core_KO.png
2016-11-14 13:16 kgv File Added: text_gles_OK.png
2016-11-14 13:16 git Note Added: 0060294
2016-11-14 13:17 kgv Note Added: 0060295
2016-11-14 13:17 kgv Assigned To kgv => san
2016-11-14 13:17 kgv Status new => resolved
2016-11-14 13:45 kgv Steps to Reproduce Updated View Revisions
2016-11-14 13:46 kgv Relationship added related to 0028098
2016-11-14 13:50 git Note Added: 0060298
2016-11-15 19:31 san Note Added: 0060387
2016-11-15 19:31 san Assigned To san => bugmaster
2016-11-15 19:31 san Status resolved => reviewed
2016-11-15 19:34 mkv Assigned To bugmaster => mkv
2016-11-16 18:19 mkv Note Added: 0060453
2016-11-16 18:20 mkv Note Added: 0060454
2016-11-16 18:20 mkv Assigned To mkv => bugmaster
2016-11-16 18:20 mkv Status reviewed => tested
2016-11-16 18:21 mkv Test case number => bugs vis bug28099_text_core
2016-11-18 16:37 apn Changeset attached => occt master 6fe58c66
2016-11-18 16:37 apn Assigned To bugmaster => apn
2016-11-18 16:37 apn Status tested => verified
2016-11-18 16:37 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061292
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0
2017-09-19 12:57 kgv Relationship added parent of 0029125


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker